LF_Platform = Core.class(Sprite)

function LF_Platform:init(xworld, xtexture, xscalex, xscaley, xlvx, xlvy)
	local mytexture = Texture.new(xtexture, true, {wrap = Texture.REPEAT})
	self.mybitmap = Bitmap.new(mytexture)
	self.mybitmap:setAnchorPoint(0.5, 0.5)
	self.mybitmap:setScale(xscalex, xscaley)
	self:addChild(self.mybitmap)

	self.lvx, self.lvy = xlvx, xlvy
	self.body = xworld:createBody { type = b2.KINEMATIC_BODY }
	self.body.type = 1
	self.shape = b2.PolygonShape.new()
	self.shape:setAsBox(self.mybitmap:getWidth() / 2, self.mybitmap:getHeight() / 2)
	self.fixture = self.body:createFixture { shape = self.shape, isSensor = false }
	self.body:setLinearVelocity(self.lvx or 0, self.lvy or 0) -- moving or not moving
end

function LF_Platform:setPosition(x, y)
	self.body:setPosition(x, y)
end
